# integration/cli/spec_helper.rb

require 'fileutils'

unless ENV['SKADATE_STUB_DIR']
  puts 'Error: `SKADATE_STUB_DIR` is not specified'
  exit -1
end

require File.join(__dir__, '../../spec/spec_helper')

SKADATE_STUB_DIR = ENV['SKADATE_STUB_DIR']

TEMP_DIR = (File.symlink?('/tmp') ? "/#{File.readlink('/tmp')}" : '/tmp')
SKADATE_TEMP_DIR = File.join(TEMP_DIR, 'skadate')

RSpec.configure do |config|
  config.before(:all) do
    FileUtils.mkdir_p(SKADATE_TEMP_DIR) unless File.directory?(SKADATE_TEMP_DIR)
  end

  # config.before(:each) { FileUtils.rm_rf Dir.glob("#{SKADATE_TEMP_DIR}/*") }
end
