require 'skadategems/dev/source_controller'
require 'skadategems/dev/remote'

module SkadateGems
  module Dev

    # Represents Skadate development project that is located in a specified `:root_dir`.
    class Skadate

      attr_reader :root_dir

      # @param root_dir [String] path to skadate source root directory
      def initialize(root_dir)
        @root_dir = root_dir
      end

      # @return [SourceController] skadate source controller object
      def source
        @source ||= SourceController.new(@root_dir)
      end

      # @return [Remote] remote application accessor
      def remote
        @remote ||= Remote.new(source.filename '.dev/remote-server.json')
      end

    end

  end
end
